#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 25. Graphical Environment Libraries

- Prev

  libdrm-2.4.110

- Next

  libglade-2.6.4

- Up
- Home

# libepoxy-1.5.9

## Introduction to libepoxy

libepoxy is a library for handling OpenGL function pointer management.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/anholt/libepoxy/releases/download/1.5.9/libepoxy-1.5.9.tar.xz

- Download MD5 sum: ecd74bc119637f5aac8e2cf6ee8c3899

- Download size: 220 KB

- Estimated disk space required: 17 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### libepoxy Dependencies

#### Required

Mesa-21.3.6

#### Optional

Doxygen-1.9.3 (for documentation)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libepoxy

## Installation of libepoxy

Install libepoxy by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Ddocs=true`: If you have Doxygen-1.9.3 installed, add this option to generate additional documentation.

## Contents

Installed Programs: None
Installed Libraries: libepoxy.so
Installed Directories: /usr/include/epoxy

### Short Descriptions

`libepoxy.so` | contains API functions for handling OpenGL function pointer management

Last updated on

- Prev

  libdrm-2.4.110

- Next

  libglade-2.6.4

- Up
- Home